SDL_fabsf(3)

NAME
SDL_fabsf - Compute the absolute value of x

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_fabsf(float x);

DESCRIPTION
Domain: -INF <= x <= INF

Range: 0 <= y <= INF

This function operates on single-precision floating point values, use SDL_fabs for double-precision floats.

FUNCTION PARAMETERS

x   floating point value to use as the magnitude.

RETURN VALUE
Returns the absolute value of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_fabs(3)